ICU 54.1 54.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Static Public Member Functions
icu::LESwaps Class Reference

This class is used to access data which stored in big endian order regardless of the conventions of the platform. More...

`#include <LESwaps.h>`

## Static Public Member Functions
static le_uint16 | swapWord (le_uint16 value)
| Reads a big-endian 16-bit word and returns a native-endian value.
static le_uint32 | swapLong (le_uint32 value)
| Reads a big-endian 32-bit word and returns a native-endian value.

## Detailed Description

This class is used to access data which stored in big endian order regardless of the conventions of the platform.

All methods are static and inline in an attempt to induce the compiler to do most of the calculations at compile time.

Deprecated:
  ICU 54. See icu::LayoutEngine

Definition at line 44 of file LESwaps.h.

## Member Function Documentation

static le_uint32 icu::LESwaps::swapLong | ( | le_uint32 | value | ) |
| inline static

Reads a big-endian 32-bit word and returns a native-endian value.

No-op on a big-endian platform, byte-swaps on a little-endian platform.

Parameters

  value | - the long to be byte swapped

Returns
  the byte swapped long

Deprecated:
  ICU 54. See icu::LayoutEngine

Definition at line 81 of file LESwaps.h.

static le_uint16 icu::LESwaps::swapWord | ( | le_uint16 | value | ) |
| inline static

Reads a big-endian 16-bit word and returns a native-endian value.

No-op on a big-endian platform, byte-swaps on a little-endian platform.

Parameters

  value | - the word to be byte swapped

Returns
  the byte swapped word

Deprecated:
  ICU 54. See icu::LayoutEngine

Definition at line 57 of file LESwaps.h.

The documentation for this class was generated from the following file:

- LESwaps.h